com.aliyun.svideosdk.common.struct.effect

## Class EffectPaint

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectPaint

-     public class EffectPaint
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectPaint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bitmap` | `getBitmap()` Deprecated.
    `CanvasInfo` | `getCanvasInfo()` 获取画布信息,不建议用户使用
    `java.lang.String` | `getPath()` 获取涂鸦的图片路径
    `int` | `getViewId()` 获取资源的id，唯一标示符
    `void` | `setBitmap(Bitmap bitmap)` Deprecated.
    `void` | `setCanvasInfo(CanvasInfo canvasInfo)` 设置画布信息，不建议用户使用
    `void` | `setPath(java.lang.String path)` 设置图片路径
    `void` | `setViewId(int vid)` 设置资源id，不建议用户调用

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectPaint

          public EffectPaint()

  - ### Method Detail

    - #### getViewId

          public int getViewId()

      获取资源的id，唯一标示符
      Returns:
        id

    - #### setViewId

          public void setViewId(int vid)

      设置资源id，不建议用户调用
      Parameters:
        `vid` - 资源id

    - #### setBitmap

          @Deprecated
          public void setBitmap(Bitmap bitmap)

      Deprecated.

    - #### getBitmap

          @Deprecated
          public Bitmap getBitmap()

      Deprecated.

    - #### setPath

          public void setPath(java.lang.String path)

      设置图片路径
      Parameters:
        `path` - 图片路径

    - #### getPath

          public java.lang.String getPath()

      获取涂鸦的图片路径
      Returns:

    - #### getCanvasInfo

          public CanvasInfo getCanvasInfo()

      获取画布信息,不建议用户使用
      Returns:
        `CanvasInfo`

    - #### setCanvasInfo

          public void setCanvasInfo(CanvasInfo canvasInfo)

      设置画布信息，不建议用户使用
      Parameters:
        `canvasInfo` - 画布信息